Permalink
Browse files

exports the 'require' function with browserify

the newer browserify doesn't expose require by default,
instead making the entire bundle self-contained. passing
this option in makes it so require is available globally.
  • Loading branch information...
1 parent f9349e4 commit c4464e02b0a1c8db884caf4053d4547d5e9dd592 @seanmonstar seanmonstar committed Jul 20, 2012
Showing with 1 addition and 1 deletion.
  1. +1 −1 scripts/bundle.js
View
2 scripts/bundle.js
@@ -23,7 +23,7 @@ if (existsSync(OUTPUT)) {
fs.unlinkSync(OUTPUT);
}
-var bundle = browserify();
+var bundle = browserify({ exports: 'require' });
bundle.ignore(['crypto', 'bigint']);
bundle.addEntry(INPUT);

0 comments on commit c4464e0

Please sign in to comment.